
Colony Scout - Task #1819

Create ROS Node: Headlights

10/13/2011 05:57 PM - Ben Wasserman

Status: Fixed Start date: 10/13/2011

Priority: Normal Due date: 10/24/2011

Assignee: Ben Wasserman % Done: 100%

Category: OS Estimated time: 0.00 hour

Target version:    

Description

Create the ROS node for the headlights. The git repo can be found: git clone ssh://roboclub.org/home/svn/scoutos. The node

diagram can be found at https://www.roboticsclub.org/redmine/attachments/522/rosNodes2.pdf.

History

#1 - 10/23/2011 02:42 AM - Priyanka Deo

- Due date changed from 10/17/2011 to 10/24/2011

#2 - 10/26/2011 10:11 PM - Priyanka Deo

- Assignee changed from Priyanka Deo to Ben Wasserman

#3 - 11/12/2011 03:46 AM - Ben Wasserman

- % Done changed from 0 to 50

I created the node, but it doesn't have low level implementation yet. I also haven't written libheadlights, which provide the couterpart functions for

libscout for the behavior interacting with the node.

#4 - 11/16/2011 08:15 PM - Ben Wasserman

- Status changed from Assigned to Fixed

- % Done changed from 50 to 100

Finished creating node and libheadlights.(cpp/h) in libscout, as well as adding headlights into other parts of libscout so it should work. Haven't tried

compilation yet. <duck>
